-- 1/3 : Création de la table temporaire
DROP TABLE IF EXISTS w_dbsetup
;

CREATE TEMP TABLE w_dbsetup AS
    SELECT 
    	t_adm_prod_reshospi.oid as keepoid,
    	t_adm_prod_reshospi.code,
    	t_adm_prod_reshospi.texte
    FROM
    	pmsi.t_adm_prod_reshospi
    WHERE 
    	t_adm_prod_reshospi.code <> t_adm_prod_reshospi.texte
    ORDER BY code LIMIT 0
;

-- 2/3 : Peuplement de la table temporaire
INSERT INTO w_dbsetup(
    keepoid,
    code,
    texte
)
VALUES
(0, '', 'Non renseigné'),
(1, '1', 'Prise en charge avec administration de produit de la RH'),
(2, '2', 'Pas de prise en charge avec administration de produit de la RH')
;

-- 3/3 : Màj de la table iCTI
UPDATE pmsi.t_adm_prod_reshospi
SET
	code = w_dbsetup.code,
	texte = w_dbsetup.texte
FROM w_dbsetup
WHERE 
	t_adm_prod_reshospi.oid = w_dbsetup.keepoid
	AND (1 != 1
		OR t_adm_prod_reshospi.texte IS DISTINCT FROM w_dbsetup.texte
        OR t_adm_prod_reshospi.code IS DISTINCT FROM w_dbsetup.code
		)
;

INSERT INTO pmsi.t_adm_prod_reshospi (oid,code,texte)
SELECT 
    w_dbsetup.keepoid,
    w_dbsetup.code,
    w_dbsetup.texte
FROM
    w_dbsetup
    LEFT JOIN pmsi.t_adm_prod_reshospi ON t_adm_prod_reshospi.oid = w_dbsetup.keepoid
WHERE 
    t_adm_prod_reshospi.oid IS NULL
;